curl --request GET \
--url https://perps-api.vooi.io/arbitrage-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://perps-api.vooi.io/arbitrage-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://perps-api.vooi.io/arbitrage-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "<string>",
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"hedgeFailurePolicy": "alertAndHold",
"id": "019d5cbe-6980-7193-a80e-38a45eda36d8",
"partialFillPolicy": "fullFill",
"status": "primary_placed",
"strategy": "limitMarket",
"unifiedSymbol": "ETH",
"updatedAt": "2023-11-07T05:31:56Z",
"legs": {
"hedge": {
"baseSymbol": "ETH",
"clientOrderId": "<string>",
"error": "<string>",
"exchange": "aster",
"filledSize": "0.25",
"marketId": "ETHUSDT",
"orderId": "<string>",
"price": "1850.50",
"quoteSymbol": "USDT",
"reduceOnly": true,
"side": "buy",
"size": "0.5",
"status": "created",
"timeInForce": "gtc",
"type": "limit"
},
"primary": {
"baseSymbol": "ETH",
"clientOrderId": "<string>",
"error": "<string>",
"exchange": "aster",
"filledSize": "0.25",
"marketId": "ETHUSDT",
"orderId": "<string>",
"price": "1850.50",
"quoteSymbol": "USDT",
"reduceOnly": true,
"side": "buy",
"size": "0.5",
"status": "created",
"timeInForce": "gtc",
"type": "limit"
}
}
}
]
}{
"message": "Invalid order id: 123",
"statusCode": 503
}List arbitrage orders
Returns your arbitrage orders, newest first. Filter by status for open orders (created, working, partiallyFilled, hedging), open positions (hedge_full_filled), or history (canceled, failed).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Opaque pagination cursor returned as cursor from the previous page
Number of orders to return per page (1–100)
1 <= x <= 100Sort field: updatedAt (default, most recently changed first) or createdAt (most recently placed first)
createdAt, updatedAt Filter by one or more statuses, repeating the parameter for several. Open orders are new, primary_sent, primary_placed, primary_partially_filled, primary_full_filled, hedge_sent, hedge_placed and hedge_partially_filled; open positions are hedge_full_filled; history is canceled and failed.
canceled, failed, hedge_full_filled, hedge_partially_filled, hedge_placed, hedge_sent, new, primary_full_filled, primary_partially_filled, primary_placed, primary_sent Filter by strategy.
limitLimit, limitMarket, marketMarket Filter by asset.
1